# Generated by Django 4.1.5 on 2023-01-08 21:59

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("invites", "0002_catalog"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="catalog",
            options={"verbose_name": "Catalog", "verbose_name_plural": "Catalogs"},
        ),
        migrations.AlterModelOptions(
            name="invitation",
            options={
                "verbose_name": "Invitation",
                "verbose_name_plural": "Invitations",
            },
        ),
        migrations.AlterModelOptions(
            name="recipient",
            options={"verbose_name": "Recipient", "verbose_name_plural": "Recipients"},
        ),
        migrations.CreateModel(
            name="Envelope",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "amount",
                    models.PositiveBigIntegerField(
                        default=0,
                        help_text="Total envelope owned by user",
                        verbose_name="Amount",
                    ),
                ),
                (
                    "usage_counter",
                    models.PositiveIntegerField(
                        default=0, verbose_name="Usage Counter"
                    ),
                ),
                (
                    "user",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="user",
                    ),
                ),
            ],
            options={
                "verbose_name": "Envelope",
                "verbose_name_plural": "Envelopes",
            },
        ),
    ]
